# Micro-health Insurance

## List **All Products**

## This endpoint returns a list of all the micro-health products

<mark style="color:blue;">`GET`</mark> `https://sandbox.insurpass.com/api/merchant/micro_health/products`

This endpoint allows you to request a list of all the micro-health insurance products available on Insurpass.<br>

#### Headers

| Name                                            | Type   | Description                     |
| ----------------------------------------------- | ------ | ------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer {$secret-key}/{$api-key} |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json                |

{% tabs %}
{% tab title="200 " %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
{
    "success": true,
    "data": [
        {
            "id": 1,
            "name": "malaria care 1",
            "details": "<p>my product details</p>",
            "beneficiaries": true,
            "max_beneficiaries": 3,
            "provider_id": 1,
            "logo_url": null,
            "enable": true,
            "created_at": "2021-03-26T22:57:33.000000Z",
            "updated_at": "2021-03-26T22:57:34.000000Z",
            "price_config": [
                {
                    "id": 1,
                    "product_id": 1,
                    "no_of_users": 2,
                    "total_price": "400.00",
                    "product_code": "AXA67266420",
                    "product_short_code": "MC1"
                },
                {
                    "id": 2,
                    "product_id": 1,
                    "no_of_users": 3,
                    "total_price": "400.00",
                    "product_code": "uuut66386",
                    "product_short_code": "jj6"
                }
            ]
        }
    ],
    "message": "Products retrieved successfully"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://sandbox.insurpass.com/api/merchant/micro_health/products',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization:Bearer {{SECRETKEY}}'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endcode %}
{% endtab %}

{% tab title="NODE JS" %}

```javascript
var axios = require('axios');

var config = {
  method: 'get',
  url: 'https://sandbox.insurpass.com/api/merchant/micro_health/products',
  headers: { 
    'Authorization': 'Bearer {{SECRETKEY}}'
  }
};

axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
}
```

{% endtab %}

{% tab title="CURL" %}
{% code overflow="wrap" %}

```clike
curl --location --request GET https://sandbox.insurpass.com/api/merchant/micro_health/products' \
--header 'Authorization: Bearer {{SECRETKEY}}' \
--header 'Accept: application/json' \
--data-raw ''
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://milonics.gitbook.io/api-documentation/insurpass-api-reference/subscription.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
